// Author: T. Meinike 2013 | JS für Diskografie-Projekt mit Saxon-CE

var onSaxonLoad = function()
{
  // Initiale Transformation zur Katalogauswertung:
  var xmldok = Saxon.requestXML("katalog.xml");
  var xsldok = Saxon.requestXML("katalog.xsl");
  var xsltpr = Saxon.newXSLT20Processor(xsldok);
  xsltpr.updateHTMLDocument(xmldok);
};

function SaxonUpdate(xmlfile, bildpfad, button)
{
  // Ausgabebereich zurücksetzen:
  // (Im header-Bereich werden 1 h2-Element und bis zu 2 p-Elemente erzeugt.)
  var header = document.getElementById("header");
  if(header.lastChild.tagName == "P")header.removeChild(header.lastChild);
  if(header.lastChild.tagName == "P")header.removeChild(header.lastChild);
  if(header.lastChild.tagName == "H2")
  {
    header.removeChild(header.lastChild);
    document.getElementById("main").style.display = "none";
    document.getElementById("navi").innerHTML = "<p class='info'>Album:</p>";
    document.getElementById("content").innerHTML = "<p class='info'>Details:</p><div id='output'></div>";
  }

  // Dynamische Transformation der Diskografie-Daten ausführen:
  var xslfile = "diskodeluxe.xsl";
  var xmldok  = Saxon.requestXML(xmlfile);
  var xsldok  = Saxon.requestXML(xslfile);
  var xsltpr  = Saxon.newXSLT20Processor(xsldok);
  xsltpr.setParameter(null, "bildpfad", bildpfad);
  xsltpr.updateHTMLDocument(xmldok);
  document.getElementById("main").style.display = "table-row";

  // Workaround zur Buttonformatierung (beim ersten Klick nicht via ixsl aktiv):
  document.getElementById(button).className = "aktbutton";
}